%define api 2
%define major 0
%define pkgname libgnomeui

%define libname %mklibname gnomeui %{api} %{major}
%define devname %mklibname gnomeui %{api} -d

Summary:	Main GNOME libraries
Name:		%{pkgname}%{api}
Version:	2.24.5
Release:	7
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.22.1-2mdv link with math library
Patch0:		libgnomeui-2.22.1-floor.patch
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	gtk-doc >= 0.9
BuildRequires:	pkgconfig(gconf-2.0) >= 1.1.11
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 0.4
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= 2.7.3
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libbonoboui-2.0) >= 2.13.1
BuildRequires:	pkgconfig(libglade-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.13.7
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires:	pkgconfig(pango) >= 1.1.2
Requires:	gnome-icon-theme

%description
Data files for the GNOME UI library such as translations.

%files -f %{pkgname}-2.0.lang
%doc AUTHORS NEWS README
%{_libdir}/libglade/2.0/*.so
%{_datadir}/pixmaps/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GNOME libraries
Group:		System/Libraries

%description -n %{libname}
GNOME library contains extra widgets to let your GNOME applications
really shine.

%files -n %{libname}
%{_libdir}/libgnomeui-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development library, headers files and documentation needed in order
to develop applications using the GNOME library.

%files -n %{devname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}
%apply_patches

#needed by patch0
autoreconf -fi

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc \
	--enable-compile-warnings=no

%make

%install
%makeinstall_std

%find_lang %{pkgname}-2.0

%changelog
* Sat Jul 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.24.5-7
+ Revision: 4b91fce
- Disable compile warnings, spec cleanup


